Bug 212863 - MBR installed incorrectly on upgrade
MBR installed incorrectly on upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 14:48 EST by GeoffLeach
Modified: 2008-04-04 10:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (195.60 KB, text/plain)
2006-10-30 15:20 EST, GeoffLeach
no flags Details
anaconda.syslog (25.10 KB, text/plain)
2006-10-30 15:21 EST, GeoffLeach
no flags Details
anaconda.xlog (46.51 KB, text/plain)
2006-10-30 15:21 EST, GeoffLeach
no flags Details
device.map (82 bytes, text/plain)
2006-10-30 15:22 EST, GeoffLeach
no flags Details

  None (edit)
Description GeoffLeach 2006-10-29 14:48:05 EST
Description of problem:upgrade installs grub on wrong MBR


Version-Release number of selected component (if applicable):0.97-13


How reproducible:always


Steps to Reproduce:
1.normal upgrade
2.
3.
  
Actual results: grub installed on MBR A


Expected results:grub installed on MBR C


Additional info: System has 4 disks. SCSI A and B, SATA C and D. FC5 install
shows disks in order ABCD, re-ordered to CDAB with MBR on C. FC6 upgrade was
perfect, except on reboot grub could not find conf file - presumably it was on
A. Suggest that upgrade state where MBR will be installed, and allow re-ordering
 of dirves (or just selection) as with install.
Comment 1 Jeremy Katz 2006-10-30 14:45:33 EST
What is in /boot/grub/device.map and /var/log/anaconda*?
Comment 2 GeoffLeach 2006-10-30 15:20:34 EST
Created attachment 139765 [details]
anaconda.log
Comment 3 GeoffLeach 2006-10-30 15:21:20 EST
Created attachment 139766 [details]
anaconda.syslog
Comment 4 GeoffLeach 2006-10-30 15:21:57 EST
Created attachment 139767 [details]
anaconda.xlog
Comment 5 GeoffLeach 2006-10-30 15:22:45 EST
Created attachment 139768 [details]
device.map
Comment 6 GeoffLeach 2006-10-30 15:27:59 EST
FWIW, as this is _after_ install, after the failed upgrade. 

Why did I trash the upgrade?  One of the partitions on the second SATA drive
(which would be D in the above example) would not mount -- mount claimed that
the drive was busy, if I recall correctly.  There were also complaints about
that filesystem during boot. after the install, no problems were reported.
Comment 7 Bug Zapper 2008-04-04 00:15:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 GeoffLeach 2008-04-04 10:58:20 EDT
Not reproducable in F8

Note You need to log in before you can comment on or make changes to this bug.